# setAttributeDisambiguationPrecedence

@Incubating
abstract fun setAttributeDisambiguationPrecedence(attributes: List<Attribute<out Any>>)

Sets the order of precedence of attributes when resolving ambiguity. Attributes listed first have higher precedence.

By default, there is no explicit precedence between attributes and all attributes must be considered when disambiguating.

#### Since

7.5

#### Parameters

attributes

the attributes in order, highest priority first